## onboard 1.4.1

=== Onboard/pypredict/attic/Makefile ===

#CFLAGS="-O3 -Wall -std=c++0x"
#CFLAGS="-O0 -Wall -std=c++0x"
#CFLAGS="-O0 -pg -Wall"

CFLAGS="-O0 -Wall"
#CFLAGS="-O0 -Wall -UNDEBUG"
CFLAGS="-O3 -Wall"

sources = lm.cpp lm_dynamic.cpp lm_python.cpp lm_merged.cpp pool_allocator.cpp
headers = lm.h lm_dynamic.h lm_dynamic_impl.h lm_dynamic_kn.h \
          lm_dynamic_cached.h lm_merged.h


lm.so : $(sources) $(headers)
	CFLAGS=$(CFLAGS) python setup.py build
	cp ./build/lib.*/lm.so .

Debug : lm.so

all : clean lm.so

.PHONY : clean
clean :
	python setup.py clean
	-rm lm.so
	-rm -rf ./build

install:
	python setup.py install

=== debian/changelog ===
onboard (1.4.1-5build5) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:06:43 +0100

onboard (1.4.1-5build4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 12:21:38 +0200

onboard (1.4.1-5build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:46:37 +0100

onboard (1.4.1-5build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 13:08:20 +0200

onboard (1.4.1-5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to no.
    + Don't build gnome-shell-extension-onboard anymore. It is broken with
      recent GNONME and there is no feedback from upstream about the future
      perspective of the shell extension.
      NOTE: for now, this is a temporary measure until the Debian maintainer
      has received feedback from Onboard upstream about this.
    + Enforce removal of gnome-shell-extension-onboard via B:/R: when upgrading
      onboard to this package version. (Closes: #891236).
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/rules:
    + Switch from dh_install --fail-missing to dh_missing override.
    + Don't install gnome-shell extension files for Onboard anymore.
  * debian/copyright:
    + Drop COPYING file. Thanks, lintian.

  [ Balint Reczey ]
  * debian/patches:
    + Add 0001-Replace-invalid-UTF-8-characters-in-ACPI-events.patch. Resolves
      UnicodeDecodeError in AcpidListener. (Closes: #936019, LP:#1808446).
    + Add 1003_disable_onboard_on_gnome.patch. Disable onboard on GNOME.
      (Closes: #931961, LP:#1721125).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Jan 2020 11:26:40 +0100

onboard (1.4.1-4) unstable; urgency=medium

  * debian/control:
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
    + One uploader per line...
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/copyright:
    + Use secure URL in Source: field.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Aug 2018 12:09:38 +0200

onboard (1.4.1-3) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Add myself to Uploaders: field.
    + Temporarily have pkg-mate-team ML under Uploaders:.

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Switch R from gir1.2-appindicator3-0.1 to gir1.2-ayatanaappindicator3-0.1.
  * debian/patches:
    + Add 1002_build-against-Ayatana-AppIndicator.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 11 May 2018 13:37:23 +0200

onboard (1.4.1-2) unstable; urgency=medium

  * debian/control:
    + Onboard requires libudev, so let's build it on linux-any architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 18:54:52 +0200

onboard (1.4.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (Closes: #858773) (LP: #1664746)
    - Add tablet mode (LP: #1366421)
    - For GNOME Shell, only auto-show on first start (LP: #1650810)
    - Add Comment field and more to autostart file (LP: #1656779)
      (Closes: #851305)
    - Work around broken transparency with GTK+ 3.22 (LP: #1636252)
    - Fix negative keyboard window size when screen says zero size
      (LP: #1633284)
  * Build-Depend on libudev-dev and libwayland-dev
  * debian/onboard-common.install:
    - Update for new and removed files
    - Move docs to /usr/share/doc/onboard

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1001_desktop-file-fixes.patch. Drop MimeType= field, add Keywords=
      field.
  * debian/copyright:
    + Update autogenerated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Jul 2017 21:09:25 +0200

=== debian/control ===
Source: onboard
Section: gnome
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libcanberra-dev,
               libdconf-dev (>= 0.12.0),
               libgtk-3-dev,
               libhunspell-dev,
               libudev-dev,
               libwayland-dev,
               libxkbfile-dev,
               libxtst-dev,
               python3-all-dev (>= 3.2),
               python3-cairo,
               python3-distutils-extra (>= 2.10),
               python3-gi,
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Jeremy Bicha <jbicha@ubuntu.com>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://launchpad.net/onboard
Vcs-Browser: https://salsa.debian.org/debian-mate-team/onboard
Vcs-Git: https://salsa.debian.org/debian-mate-team/onboard.git

Package: onboard
Architecture: linux-any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0 (>= 1.29.3),
         iso-codes,
         librsvg2-common,
         onboard-common (<< ${source:Version}.1),
         onboard-common (>= ${source:Version}),
         python3-cairo,
         python3-dbus,
         python3-gi-cairo,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: gir1.2-ayatanaappindicator3-0.1,
            gir1.2-atspi-2.0,
            onboard-data (>= ${source:Version}),
            xdg-utils,
Suggests: mousetweaks (>= 3.3.90),
Breaks: gnome-shell-extension-onboard,
Replaces: gnome-shell-extension-onboard,
Description: Simple On-screen Keyboard
 On-screen Keyboard with macros, easy layout creation and word suggestion.
 .
 This on-screen keyboard can be useful for tablet PC users, as well as
 for mobility impaired users.

Package: onboard-common
Architecture: all
Depends: python3,
         ${misc:Depends},
Breaks: onboard (<< 1.3.0-1~),
Replaces: onboard (<< 1.3.0-1~),
Description: Simple On-screen Keyboard (common files)
 On-screen Keyboard with macros, easy layout creation and word suggestion.
 .
 This package ships the architecture independent files of the onboard
 on-screen keyboard.

Package: onboard-data
Architecture: all
Depends: onboard (<< ${source:Version}.1),
         onboard (>= ${source:Version}),
         ${misc:Depends},
Replaces: onboard-prediction-data  (<< 0.99.0~alpha1~tr1531),
Breaks: onboard-prediction-data  (<< 0.99.0~alpha1~tr1531),
Description: Language model files for the word suggestion feature of Onboard
 On-screen Keyboard with macros, easy layout creation and word suggestion.
 .
 This package installs default language model files for various languages.
 The word suggestion feature of Onboard uses these files (and if available
 also custom user language model files) to compute the word completion
 suggestions and the word prediction suggestions.

#Package: gnome-shell-extension-onboard
#Architecture: all
#Depends: ${misc:Depends},
#         gnome-shell (>= 3.16),
#         onboard (>= ${source:Version}),
#Breaks: onboard-common (<< 1.3.0)
#Replaces: onboard-common (<< 1.3.0)
#Description: GNOME Shell extension for the on-screen keyboard Onboard
# This package hides the official GNOME3 keyboard and provides an icon to
# show/hide Onboard. It is only an initial extension that does not show
# Onboard for activities and passwords, yet.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
export PYBUILD_NAME=onboard
export PYBUILD_INSTALL_ARGS=--root=$(CURDIR)/debian/tmp
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
# Don't fail to build from git-buildpackage:
	-dh_auto_clean
	rm -rf build
	rm -rf Onboard/osk*.so
	rm -rf Onboard/pypredict/lm*.so

override_dh_install:
	rm -f debian/tmp/usr/share/onboard/COPYING
	rm -f debian/tmp/usr/share/onboard/COPYING.GPL3
	rm -f debian/tmp/usr/share/onboard/HACKING
	rm -f debian/tmp/usr/share/onboard/COPYING.BSD3

	# drop gnome-shell-extension-onboard files
	rm -Rf debian/tmp/usr/share/gnome-shell/

	dh_install

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## onboard 1.4.1mint1+debbie

=== debian/changelog ===
onboard (1.4.1mint1+debbie) debbie; urgency=medium

  * Status icon: Prefer symbolic icons
  * Settings: Don't show a border on the notebook
  * Desktop files: Hide settings, move onboard to Accessories

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Jan 2020 16:58:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: onboard
 Section: gnome
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>=9),
                dh-python,
                libcanberra-dev,
                libdconf-dev (>= 0.12.0),
@@ -19,8 +19,7 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Jeremy Bicha <jbicha@ubuntu.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Standards-Version: 4.4.1
-Rules-Requires-Root: no
+Standards-Version: 4.2.0
 Homepage: https://launchpad.net/onboard
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/onboard
 Vcs-Git: https://salsa.debian.org/debian-mate-team/onboard.git
@@ -46,8 +45,6 @@
             onboard-data (>= ${source:Version}),
             xdg-utils,
 Suggests: mousetweaks (>= 3.3.90),
-Breaks: gnome-shell-extension-onboard,
-Replaces: gnome-shell-extension-onboard,
 Description: Simple On-screen Keyboard
  On-screen Keyboard with macros, easy layout creation and word suggestion.
  .
@@ -81,14 +78,14 @@
  also custom user language model files) to compute the word completion
  suggestions and the word prediction suggestions.
 
-#Package: gnome-shell-extension-onboard
-#Architecture: all
-#Depends: ${misc:Depends},
-#         gnome-shell (>= 3.16),
-#         onboard (>= ${source:Version}),
-#Breaks: onboard-common (<< 1.3.0)
-#Replaces: onboard-common (<< 1.3.0)
-#Description: GNOME Shell extension for the on-screen keyboard Onboard
-# This package hides the official GNOME3 keyboard and provides an icon to
-# show/hide Onboard. It is only an initial extension that does not show
-# Onboard for activities and passwords, yet.
+Package: gnome-shell-extension-onboard
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-shell (>= 3.16),
+         onboard (>= ${source:Version}),
+Breaks: onboard-common (<< 1.3.0)
+Replaces: onboard-common (<< 1.3.0)
+Description: GNOME Shell extension for the on-screen keyboard Onboard
+ This package hides the official GNOME3 keyboard and provides an icon to
+ show/hide Onboard. It is only an initial extension that does not show
+ Onboard for activities and passwords, yet.

## onboard 1.4.1%2Bmint2%2Bfaye

=== debian/changelog ===
onboard (1.4.1+mint2+faye) vanessa; urgency=medium

  * Status icon: Prefer symbolic icons
  * Fix uninitialized variable
  * Settings: Don't show a border on the notebook
  * Desktop files: Hide settings, move onboard to Accessories
  * Preferences: Don't show statusicon pref

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2022 15:56:24 +0100

## onboard 1.4.1%2Bmint4%2Bgigi

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/onboard/+download \
 https://launchpad.net/onboard/.*/onboard-([\d\.]+)@ARCHIVE_EXT@

## onboard 1.4.1%2Bmint4%2Bwilma

=== debian/changelog ===
onboard (1.4.1+mint4+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * osk_virtkey.c: Don't use legacy Py_UNICODE for converting utf8 to keysyms.
  * LayoutLoaderSVG.py: Fix bad exception string.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jul 2024 19:33:47 +0100

onboard (1.4.1+mint3) wilma; urgency=medium

  * fix for Python 3.12: thread-state.patch
  * fix for Python 3.12: python-3.12.patch

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 22 Jun 2024 19:04:22 +0100

onboard (1.4.1+mint2) vanessa; urgency=medium

  * Status icon: Prefer symbolic icons
  * Fix uninitialized variable
  * Settings: Don't show a border on the notebook
  * Desktop files: Hide settings, move onboard to Accessories
  * Preferences: Don't show statusicon pref

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2022 15:56:24 +0100

## onboard 1.4.1+mint1+elsie

=== debian/changelog ===
onboard (1.4.1+mint1+elsie) elsie; urgency=medium

  * Status icon: Prefer symbolic icons
  * Fix uninitialized variable
  * Settings: Don't show a border on the notebook
  * Desktop files: Hide settings, move onboard to Accessories
  * Preferences: Don't show statusicon pref

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Apr 2020 15:55:32 +0100

onboard (1.4.1-2ubuntu7) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:11 +0100

onboard (1.4.1-2ubuntu6) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:30:49 +0000

onboard (1.4.1-2ubuntu5) eoan; urgency=medium

  * Replace invalid UTF-8 characters in ACPI events (LP: #1808446)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 01 Jun 2019 20:51:51 +0200

onboard (1.4.1-2ubuntu4) disco; urgency=medium

  * No-change rebuild against latest hunspell

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Nov 2018 06:05:40 -0500

onboard (1.4.1-2ubuntu3) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:07:56 +0000

onboard (1.4.1-2ubuntu2) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 09:33:14 +0000

onboard (1.4.1-2ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * debian/patches/1002_disable_onboard_on_gnome.patch:
    - don't enable onboard in GNOME sessions since caribou is being used
      and it leads to have two onscreen keyboards loaded at the same time
      (lp: #1721125)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Oct 2017 17:31:19 +0200

## onboard 1.4.1+mint2+vanessa

=== debian/changelog ===
onboard (1.4.1+mint2+vanessa) vanessa; urgency=medium

  * Status icon: Prefer symbolic icons
  * Fix uninitialized variable
  * Settings: Don't show a border on the notebook
  * Desktop files: Hide settings, move onboard to Accessories
  * Preferences: Don't show statusicon pref

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2022 15:56:24 +0100

## onboard 1.4.1+mint2+wilma

=== debian/changelog ===
onboard (1.4.1+mint2+wilma) vanessa; urgency=medium

  * Status icon: Prefer symbolic icons
  * Fix uninitialized variable
  * Settings: Don't show a border on the notebook
  * Desktop files: Hide settings, move onboard to Accessories
  * Preferences: Don't show statusicon pref

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2022 15:56:24 +0100

## onboard 1.4.1+mint3+wilma

=== debian/changelog ===
onboard (1.4.1+mint3+wilma) wilma; urgency=medium

  * fix for Python 3.12: thread-state.patch
  * fix for Python 3.12: python-3.12.patch

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 22 Jun 2024 19:04:22 +0100

## onboard 1.4.1+mint4+gigi

=== debian/changelog ===
onboard (1.4.1+mint4+gigi) wilma; urgency=medium

  [ Michael Webster ]
  * osk_virtkey.c: Don't use legacy Py_UNICODE for converting utf8 to keysyms.
  * LayoutLoaderSVG.py: Fix bad exception string.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jul 2024 19:33:47 +0100

## onboard 1.4.1-2ubuntu1mint2

=== debian/changelog ===
onboard (1.4.1-2ubuntu1mint2) tessa; urgency=medium

  * Fix uninitialized variable

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Dec 2018 20:51:59 +0000

onboard (1.4.1-2ubuntu1mint1) tessa; urgency=medium

  * Status icon: Prefer symbolic icons

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 Oct 2018 16:18:56 +0100

## onboard 1.4.1-2ubuntu1mint3

=== debian/changelog ===
onboard (1.4.1-2ubuntu1mint3) tricia; urgency=medium

  * Settings: Don't show a border on the notebook
  * Desktop files: Hide settings, move onboard to Accessories

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Dec 2019 15:27:18 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,7 @@
 	rm -f debian/tmp/usr/share/onboard/COPYING.GPL3
 	rm -f debian/tmp/usr/share/onboard/HACKING
 	rm -f debian/tmp/usr/share/onboard/COPYING.BSD3
-
-	# drop gnome-shell-extension-onboard files
-	rm -Rf debian/tmp/usr/share/gnome-shell/
-
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
+	dh_install --fail-missing
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## onboard 1.4.1-3linuxmint1

=== debian/changelog ===
onboard (1.4.1-3linuxmint1) ulyana; urgency=medium

  * Status icon: Prefer symbolic icons
  * Fix uninitialized variable
  * Settings: Don't show a border on the notebook
  * Desktop files: Hide settings, move onboard to Accessories
  * Preferences: Don't show statusicon pref

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Apr 2020 15:55:32 +0100

## onboard 1.4.1.1

=== debian/changelog ===
onboard (1.4.1.1-deepin9) unstable; urgency=medium

  * debian/patches:
    + Add Switch-to-using-PyUnicode_AsWideCharString.patch. As the 'u' format
      is removed in python 3.12.
      https://github.com/dr-ni/onboard/commit/b00a15ca3bb2b92c92b03251d2438a3b07239889

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 18 Jun 2025 11:20:51 +0800

onboard (1.4.1.1-deepin8) unstable; urgency=medium

  * update version for rebuild.

 -- liujianqiang <liujianqiang@uniontech.com>  Thu, 05 Jun 2025 21:34:06 +0800

onboard (1.4.1.1-deepin7) unstable; urgency=medium

  * Ensure Python GIL is acquired and released properly in event handlers
    Bug: https://github.com/linuxdeepin/developer-center/issues/9622

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 10 Jul 2024 14:10:23 +0800

onboard (1.4.1.1-deepin6) unstable; urgency=medium

  * Upload 1.4.1.1-deepin6 to avoid downgrading.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 05 Jul 2024 07:16:29 +0200

onboard (1.4.1-6deepin1) unstable; urgency=medium

  * Build-Depends on iso-codes for build tests.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 04 Jul 2024 10:25:39 +0800

onboard (1.4.1-6) unstable; urgency=medium

  [ Bo YU ]
  * debian/patches:
    + Add 1004-fix-ftbfs-python3-12.patch. Fix ftbfs on python3.12. (Closes:
      #1057442)

  [ Mike Gabriel ]
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/patches:
    + Add Forwarded: key to patches 1001, 1002, 1003 and 1004. Upstream has
      been MIA since 2017.
    + Add patches 1005, 1006, 1007 and 1008 to fix various problems during
      unit tests. Mostly syntax fixes. (patch 1006 -> Closes: #948635).
    + Add 1010_arctica-greeter.patch. Optimize for running in Arctica Greeter
      rather than Unity Greeter.
    + Add patches 2001 and 2002. Remove test_gui.py and test_dbus.py. Both fail
      for various reasons. Deeper investigation needed.
    + Add 1011_python-distutils-byebye.patch. Migrated from distutils to
      setuptools.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Add several file clean-ups to dh_auto_clean override. (Closes: #1048852).
    + Prepare a proper test-bed for running onboard unit tests.
    + Update buildflags. Build with LTO optimization (no code change needed).
      (Closes: #1015562).
  * debian/control:
    + Bump DH compat level to version 13.
    + Update B-D for (really!) running unit tests after build.
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Improve LONG_DESCRIPTIONs. (Closes: #992264).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Apr 2024 18:11:22 +0200

=== debian/control ===
Source: onboard
Section: gnome
Priority: optional
Build-Depends: dbus-test-runner <!nocheck>,
               dconf-cli <!nocheck>,
               debhelper-compat (= 13),
               dh-python,
               gsettings-desktop-schemas <!nocheck>,
               hunspell <!nocheck>,
               hunspell-de-de <!nocheck>,
               hunspell-el <!nocheck>,
               hunspell-en-us <!nocheck>,
               hunspell-es <!nocheck>,
               hunspell-fr <!nocheck>,
               hunspell-it <!nocheck>,
               hunspell-pt-pt <!nocheck>,
               hunspell-ru <!nocheck>,
               iso-codes <!nocheck>,
               libcanberra-dev,
               libdconf-dev (>= 0.12.0),
               libgtk-3-dev,
               libhunspell-dev,
               libudev-dev,
               libwayland-dev,
               libxkbfile-dev,
               libxtst-dev,
               mousetweaks <!nocheck>,
               numlockx <!nocheck>,
               python3-dbus <!nocheck>,
               python3-distutils-extra,
               python3-dev (>= 3.2),
               python3-cairo,
               python3-setuptools,
               python3-gi,
               python3-pytest <!nocheck>,
               xauth <!nocheck>,
               xautomation,
               xvfb <!nocheck>,
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Jeremy Bicha <jbicha@ubuntu.com>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://launchpad.net/onboard
Vcs-Browser: https://salsa.debian.org/debian-mate-team/onboard
Vcs-Git: https://salsa.debian.org/debian-mate-team/onboard.git

Package: onboard
Architecture: linux-any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0 (>= 1.29.3),
         iso-codes,
         librsvg2-common,
         onboard-common (<< ${source:Version}.1),
         onboard-common (>= ${source:Version}),
         python3-cairo,
         python3-dbus,
         python3-gi-cairo,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: gir1.2-ayatanaappindicator3-0.1,
            gir1.2-atspi-2.0,
            onboard-data (>= ${source:Version}),
            xdg-utils,
Suggests: mousetweaks (>= 3.3.90),
Breaks: gnome-shell-extension-onboard,
Replaces: gnome-shell-extension-onboard,
Description: Simple On-screen Keyboard
 On-screen Keyboard (OSK) with macros, easy layout creation and word
 suggestion.
 .
 This virtual keyboard can be useful for tablet PC users operated via
 touchscreens, as well as for mobility impaired users.

Package: onboard-common
Architecture: all
Depends: python3,
         ${misc:Depends},
Breaks: onboard (<< 1.3.0-1~),
Replaces: onboard (<< 1.3.0-1~),
Description: Simple On-screen Keyboard (common files)
 On-screen Keyboard (OSK) with macros, easy layout creation and word
 suggestion.
 .
 This package ships the architecture independent files of the onboard
 on-screen keyboard.

Package: onboard-data
Architecture: all
Depends: onboard (<< ${source:Version}.1),
         onboard (>= ${source:Version}),
         ${misc:Depends},
Replaces: onboard-prediction-data  (<< 0.99.0~alpha1~tr1531),
Breaks: onboard-prediction-data  (<< 0.99.0~alpha1~tr1531),
Description: Language model files for the word suggestion feature of Onboard
 On-screen Keyboard (OSK) with macros, easy layout creation and word
 suggestion.
 .
 This package installs default language model files for various languages.
 The word suggestion feature of Onboard uses these files (and if available
 also custom user language model files) to compute the word completion
 suggestions and the word prediction suggestions.

#Package: gnome-shell-extension-onboard
#Architecture: all
#Depends: ${misc:Depends},
#         gnome-shell (>= 3.16),
#         onboard (>= ${source:Version}),
#Breaks: onboard-common (<< 1.3.0)
#Replaces: onboard-common (<< 1.3.0)
#Description: GNOME Shell extension for the on-screen keyboard Onboard
# This package hides the official GNOME3 keyboard and provides an icon to
# show/hide Onboard. It is only an initial extension that does not show
# Onboard for activities and passwords, yet.

## onboard 1.4.1.12

=== debian/changelog ===
onboard (1.4.1.12-1) unstable; urgency=low

  * ['Autobuild release-candidate: 2c48f040491522b0d2d709457d111bf795d8d56a']

 -- shuttle <shuttle@deepin.com>  Thu, 28 Nov 2019 18:54:39 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	rm -f debian/tmp/usr/share/onboard/COPYING.GPL3
 	rm -f debian/tmp/usr/share/onboard/HACKING
 	rm -f debian/tmp/usr/share/onboard/COPYING.BSD3
-	dh_install --fail-missing
+	dh_install
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## onboard 1.4.3+git20260213+ds

=== debian/changelog ===
onboard (1.4.3+git20260213+ds-2) unstable; urgency=medium

  * d/upstream/metadata: update links.
  * d/README.Debian: added.
  * d/watch: updated.

 -- Alex Myczko <tar@debian.org>  Wed, 18 Feb 2026 15:41:54 +0000

onboard (1.4.3+git20260213+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/control:
    - add myself to Uploaders.
    - update Homepage field.
  * d/copyright:
    - add Files-Exluded repackaged dropping debian/.
    - add myself.
    - update Source field.
    - add section for emojione data.
  * d/patches/series: drop several patches.
  * d/rules:
    - temporarily disable tests.
    - do not ship glib schema.
  * d/copyright.in: dropped.
  * d/onboard-common.install: updated.
  * d/onboard-data.install: updated.
  * d/watch: update to version 5.
  * d/onboard-common.examples: added.
  * d/not-installed: added.
  * Bump standards version to 4.7.3.

 -- Alex Myczko <tar@debian.org>  Tue, 17 Feb 2026 05:49:16 +0000

onboard (1.4.1-11) unstable; urgency=medium

  * Remove Build-Depends, Suggests: mousetweaks
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 22:23:26 -0500

onboard (1.4.1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097504)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Oct 2025 16:26:00 +0300

onboard (1.4.1-10) unstable; urgency=medium

  [ Bo YU ]
  * Refresh 1013_slow-down-tests-for-riscv64.patch to increase sleep time to
    pass test. (Closes: #1092871)

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2025 21:40:26 +0100

onboard (1.4.1-9) unstable; urgency=medium

  * debian/patches:
    + Add 1013_slow-down-tests-for-riscv64.patch. Give the unit test / onboard
      startup more time before killing onboard again. Fixes unit tests on slower
      architectures such as RISCV64. (Closes: #1076820). Thanks to Aurelien
      Jarno for debugging this and for providing a patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 24 Jul 2024 07:54:48 +0200

onboard (1.4.1-8) unstable; urgency=medium

  * debian/patches:
    + Add 1012_thread-state.patch cherry-picked from Voidlinux. Wrap device
      events into PyGILState_Ensure / PyGILState_Release. (Closes: #1076120).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Jul 2024 14:36:23 +0000

onboard (1.4.1-7) unstable; urgency=medium

  [ Jeremy Bícha ]
  * debian/control:
    + Add Build-Depends: iso-codes for build tests

  [ Bo YU ]
  * debian/rules:
    + Export LC_ALL when building. (Closes: #1071098).

  [ Mike Gabriel ]
  * debian/patches:
    + Trivial rebase of 1008_enable-tests-during-build.patch.
    + Update 1005_fix-invalid-escape-sequences.patch. Add more double-
      backslashed regexp escape sequences. (Closes: #1069988).
    + Update 1005_fix-invalid-escape-sequences.patch. Switch to raw
      strings where possible.
    + Merge patch 1009 into patch 1005. Both have been about regexp fixes /
      escape sequences in regexps.
  * debian/control:
    + Add to B-D: locales-all (for unit tests).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Jul 2024 10:25:05 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libwayland-dev,
                libxkbfile-dev,
                libxtst-dev,
-               mousetweaks <!nocheck>,
+               locales-all <!nocheck>,
                numlockx <!nocheck>,
                python3-dbus <!nocheck>,
                python3-distutils-extra,
@@ -40,9 +40,9 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Jeremy Bicha <jbicha@ubuntu.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
-Homepage: https://launchpad.net/onboard
+           Alex Myczko <tar@debian.org>
+Standards-Version: 4.7.3
+Homepage: https://github.com/onboard-osk/onboard
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/onboard
 Vcs-Git: https://salsa.debian.org/debian-mate-team/onboard.git
 
@@ -66,7 +66,6 @@
             gir1.2-atspi-2.0,
             onboard-data (>= ${source:Version}),
             xdg-utils,
-Suggests: mousetweaks (>= 3.3.90),
 Breaks: gnome-shell-extension-onboard,
 Replaces: gnome-shell-extension-onboard,
 Description: Simple On-screen Keyboard

=== debian/watch ===
Version: 5

# GitHub hosted projects.
Template: Github
Owner: onboard-osk
Project: onboard
# FIXME Pgpsigurlmangle: s/$/.asc/
